---
title: llarp::link::Endpoint

---

# llarp::link::Endpoint





## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[SetDebugHooks](Classes/classllarp_1_1link_1_1Endpoint.md#function-setdebughooks)**([debug_hooks](Classes/structllarp_1_1link_1_1debug__hooks.md) hooks) |
| | **[Endpoint](Classes/classllarp_1_1link_1_1Endpoint.md#function-endpoint)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) * router, oxen::quic::Address bind_addr) |
| std::shared_ptr< [llarp::link::Connection](Classes/classllarp_1_1link_1_1Connection.md) > | **[Connect](Classes/classllarp_1_1link_1_1Endpoint.md#function-connect)**([RouterContact](Classes/structllarp_1_1RouterContact.md) rc) |
| std::shared_ptr< [llarp::link::Connection](Classes/classllarp_1_1link_1_1Connection.md) > | **[GetConnection](Classes/classllarp_1_1link_1_1Endpoint.md#function-getconnection)**([RouterID](Classes/structllarp_1_1RouterID.md) remote) |
| void | **[HandleIncomingDataMessage](Classes/classllarp_1_1link_1_1Endpoint.md#function-handleincomingdatamessage)**(oxen::quic::dgram_interface & dgi, bstring dgram) |
| void | **[HandleIncomingControlMessage](Classes/classllarp_1_1link_1_1Endpoint.md#function-handleincomingcontrolmessage)**(oxen::quic::Stream & stream, bstring_view packet) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [debug_hooks](Classes/structllarp_1_1link_1_1debug__hooks.md) | **[debug](Classes/classllarp_1_1link_1_1Endpoint.md#variable-debug)**  |

## Public Functions Documentation

### function SetDebugHooks

```cpp
inline void SetDebugHooks(
    debug_hooks hooks
)
```


### function Endpoint

```cpp
Endpoint(
    AbstractRouter * router,
    oxen::quic::Address bind_addr
)
```


### function Connect

```cpp
std::shared_ptr< llarp::link::Connection > Connect(
    RouterContact rc
)
```


### function GetConnection

```cpp
std::shared_ptr< llarp::link::Connection > GetConnection(
    RouterID remote
)
```


### function HandleIncomingDataMessage

```cpp
void HandleIncomingDataMessage(
    oxen::quic::dgram_interface & dgi,
    bstring dgram
)
```


### function HandleIncomingControlMessage

```cpp
void HandleIncomingControlMessage(
    oxen::quic::Stream & stream,
    bstring_view packet
)
```


## Public Attributes Documentation

### variable debug

```cpp
debug_hooks debug;
```


-------------------------------

Updated on 2023-07-31 at 14:46:40 +0000